Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.transaction
Interface InterposedTransactionManager

public interface InterposedTransactionManager

InterposedTransactionManager is used by a bi-directional gateway for importing foreign transactions into WLS. Gateway implementors obtain a `XAResource` interface from the WLS Transaction Manager to import foreign transactions into WLS, and to coordinate the foreign transactions.

InterposedTransactionManager is available via JNDI lookup under the path of "weblogic.transaction.coordinators." and from `weblogic.transaction.TxHelper`.

See Also:
  `weblogic.transaction.TxHelper.getClientInterposedTransactionManager`, `

  Note that we do not yet support importing the same foreign transaction into different WLS domains via our Client `InterposedTransactionManager`.

  `

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Transaction` | `getTransaction()` Gets the transaction object that is associated with the current thread
`Transaction` | `getTransaction(Xid xid)` Given an Xid returns the corresponding transaction object, if any
`XAResource` | `getXAResource()` Obtains the `XAResource` object associated with this Transaction Manager instance

Method Detail

### getTransaction

    public Transaction getTransaction()

  Gets the transaction object that is associated with the current thread

  return The transaction object that is associated with the current thread

### getTransaction

    public Transaction getTransaction(Xid xid)

  Given an Xid returns the corresponding transaction object, if any

  Parameters:
    `xid` - Specifies the Xid, whether it is a foreign Xid or a WLS Xid
  Returns:
    The transaction object that is associated with the given Xid

### getXAResource

    public XAResource getXAResource()

  Obtains the `XAResource` object associated with this Transaction Manager instance

  Returns:
    the `XAResource` interface implemented by the WLS Transaction Manager. It is used by the gateway for subsequent import and coordination of the foreign transactions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD